using System;
namespace ZXDT.CallCenter.Model
{
	/// <summary>
	/// T_Good_TransGroup:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_Good_TransGroup
	{
		public T_Good_TransGroup()
		{}
		#region Model
		private int _id;
		private int? _f_groupstatusid;
		private string _f_groupstatusname;
		private int? _f_reciveddepid;
		private string _f_reciveddepname;
		private int? _f_reciveduserid;
		private string _f_recivedusername;
		private string _f_createdepid;
		private string _f_createdepname;
		private int? _f_createuserid;
		private string _f_createusername;
		private DateTime? _f_createdate;
		private DateTime? _f_updatedate;
		private string _f_groupkey;
		/// <summary>
		/// 
		/// </summary>
        public int F_Id
		{
			set{ _id=value;}
			get{return _id;}
		}
		/// <summary>
		/// 转移组状态
		/// </summary>
		public int? F_GroupStatusId
		{
			set{ _f_groupstatusid=value;}
			get{return _f_groupstatusid;}
		}
		/// <summary>
		/// 转移组名称
		/// </summary>
		public string F_GroupStatusName
		{
			set{ _f_groupstatusname=value;}
			get{return _f_groupstatusname;}
		}
		/// <summary>
		/// 接受部门id
		/// </summary>
		public int? F_RecivedDepId
		{
			set{ _f_reciveddepid=value;}
			get{return _f_reciveddepid;}
		}
		/// <summary>
		/// 接受部门名称
		/// </summary>
		public string F_RecivedDepName
		{
			set{ _f_reciveddepname=value;}
			get{return _f_reciveddepname;}
		}
		/// <summary>
		/// 接受人id
		/// </summary>
		public int? F_RecivedUserID
		{
			set{ _f_reciveduserid=value;}
			get{return _f_reciveduserid;}
		}
		/// <summary>
		/// 接收人姓名
		/// </summary>
		public string F_RecivedUserName
		{
			set{ _f_recivedusername=value;}
			get{return _f_recivedusername;}
		}
		/// <summary>
		/// 发起转移部门id
		/// </summary>
		public string F_CreateDepid
		{
			set{ _f_createdepid=value;}
			get{return _f_createdepid;}
		}
		/// <summary>
		/// 发起转移部门名称
		/// </summary>
		public string F_CreateDepName
		{
			set{ _f_createdepname=value;}
			get{return _f_createdepname;}
		}
		/// <summary>
		/// 发起转移人id
		/// </summary>
		public int? F_CreateUserID
		{
			set{ _f_createuserid=value;}
			get{return _f_createuserid;}
		}
		/// <summary>
		/// 发起转移人姓名
		/// </summary>
		public string F_CreateUserName
		{
			set{ _f_createusername=value;}
			get{return _f_createusername;}
		}
		/// <summary>
		/// 发起转移时间
		/// </summary>
		public DateTime? F_CreateDate
		{
			set{ _f_createdate=value;}
			get{return _f_createdate;}
		}
		/// <summary>
		/// 完成转移时间
		/// </summary>
		public DateTime? F_UpdateDate
		{
			set{ _f_updatedate=value;}
			get{return _f_updatedate;}
		}
		/// <summary>
		/// 组id
		/// </summary>
		public string F_GroupKey
		{
			set{ _f_groupkey=value;}
			get{return _f_groupkey;}
		}
		#endregion Model

	}
}

